<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.yc.ship</groupId>
        <artifactId>ship-ota-server</artifactId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>ship-server-web</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name>
    <description>
        后端 Server 的主项目，通过引入需要 yudao-module-xxx 的依赖，
        从而实现提供 RESTful API 给 yudao-ui-admin、yudao-ui-user 等前端项目。
        本质上来说，它就是个空壳（容器）！
    </description>
    <url>https://github.com/YunaiV/ruoyi-vue-pro</url>
    <properties>
        <revision>1.0.0</revision>
    </properties>
    <dependencies>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>module-system-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>module-infra-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>module-buss-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>module-member-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>ship-module-ota-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>ship-module-otc-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>ship-module-product-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>ship-module-trade-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>ship-module-resource-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>ship-module-marketing-biz</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>ship-module-miniapplet</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-biz-data-permission</artifactId>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-biz-tenant</artifactId>
        </dependency>
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-biz-ip</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-security</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-redis</artifactId>
        </dependency>

        <!-- Job 定时任务相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-job</artifactId>
        </dependency>

        <!-- 消息队列相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-mq</artifactId>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-mail</artifactId>
        </dependency>

        <!-- 服务保障相关 -->
        <dependency>
            <groupId>com.yc.ship</groupId>
            <artifactId>spring-boot-starter-protection</artifactId>
        </dependency>

        <dependency>
            <groupId>me.zhyd.oauth</groupId>
            <artifactId>JustAuth</artifactId> <!-- 社交登陆（例如说，个人微信、企业微信等等） -->
        </dependency>
        <dependency>
            <groupId>com.xkcoding.justauth</groupId>
            <artifactId>justauth-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>wx-java-mp-spring-boot-starter</artifactId> <!-- 微信登录（公众号） -->
        </dependency>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>wx-java-miniapp-spring-boot-starter</artifactId>  <!-- 微信登录（小程序） -->
        </dependency>

        <dependency>
            <groupId>com.anji-plus</groupId>
            <artifactId>captcha-spring-boot-starter</artifactId> <!-- 验证码，一般用于登录使用 -->
        </dependency>

    </dependencies>
    <build>
        <!-- 设置构建的 jar 包名 -->
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <!-- 打包 -->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal> <!-- 将引入的 jar 打入其中 -->
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
